Bug 167483 - rpm2cpio http://foo: assertion fail
rpm2cpio http://foo: assertion fail
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: Reopened
: 229422 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-02 20:53 EDT by Jan Kratochvil
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.4.2-43
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 08:29:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2005-09-02 20:53:27 EDT
Description of problem:
rpm2cpio(1) not usable for direct "http" downloads.

Version-Release number of selected component (if applicable):
rpm-4.4.1-22

How reproducible:
always

Steps to Reproduce:
1. rpm2cpio
http://ftp.jaist.ac.jp/pub/Linux/Fedora/core/4/i386/os/Fedora/RPMS/fedora-release-4-2.noarch.rpm|file
-

Actual results:
rpm2cpio: ./rpmio_internal.h:298: fdGetFp: Assertion `fd && fd->magic ==
0x04463138' failed.
Aborted

Expected results:
/dev/stdin: ASCII cpio archive (SVR4 with no CRC)

Additional info:
Workaroundable as:
wget -q -O -
http://ftp.jaist.ac.jp/pub/Linux/Fedora/core/4/i386/os/Fedora/RPMS/fedora-release-4-2.noarch.rpm|rpm2cpio|file
-
Comment 1 Christian Iseli 2007-01-22 07:01:13 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Jan Kratochvil 2007-01-22 08:07:50 EST
It has been fixed by rpm-4.4.2-37.
Comment 4 Jeff Johnson 2007-02-20 23:17:31 EST
Hmmm, I doubt that the problem is fixed, certainly not so if neon is used for http transport.

Checking ...

$ rpm2cpio http://ftp.jaist.ac.jp/pub/Linux/Fedora/core/4/i386/os/Fedora/RPMS/fedora-release-4-
2.noarch.rpm
rpm2cpio: ./rpmio_internal.h:301: fdGetFp: Assertion `fd && fd->magic == 0x04463138' failed.
Aborted

Yes, not fixed ... reopening
Comment 5 Jan Kratochvil 2007-02-21 03:24:34 EST
You are right, it got fixed for RHEL5 as it no longer uses neon, it should be
ported to FC (or some other bugfix found).
Comment 6 Panu Matilainen 2007-06-27 08:29:47 EDT
Fixed in Fedora since 4.4.2-43 (and thus in FC7 and rawhide) by not using neon.
Comment 7 Panu Matilainen 2007-07-18 14:19:01 EDT
*** Bug 229422 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.